<?php
ob_start();
require("includes/check_auth_user.php");
require("includes/dbconnect.php");
include('includes/function.php');

$maindb = "purexpmain";
$trandb = "purexptran";
$formname = "Purchase Expense Register";
$file = "purexpreg_fr.php";


$admin = $_SESSION["admin_" . $dbname];
$zdb = $_SESSION["zdbyear_" . $dbname];
$myyear = $_SESSION[$myyear];
mysqli_select_db($conn, $zdb);

if (isset($_POST["view"])) {
    $party = $_POST["party"];
    $dtype = $_POST["dtype"];
    $scope = $_POST["scope"];

    $dtypecond = "";
    $mscopecond = "";

    $mfrmdate = trim($_POST["fdate"]);
    $mtodate = trim($_POST["tdate"]);



    if (!empty($party)) {
        $partycond = " AND `party`='$party' ";
    }


//    if (!empty($frmdt)) {
//        $frmdtcond = " AND `vouchdt`='$frmdt' ";
//    }
//
//    if (!empty($todt)) {
//        $todtcond = " AND `todt`='$todt' ";
//    }

    if (!empty($dtype)) {
        $dtypecond = " AND `dtype`='$dtype' ";
    }

    if (!empty($scope)) {
        $mscopecond = " AND `cashcred`='$scope' ";
    }

    if (empty($_POST["fdate"])) {
        browse("From Date Cannot Be Empty");
        header("refresh:1; purreggst.php");
    }
    if (empty($_POST["tdate"])) {
        browse("To Date Cannot Be Empty");
        header("refresh:1; purreggst.php");
    }

    $getpmain = mysqli_query($conn, "SELECT *, DATE_FORMAT(`vouchdt`, '%d-%m-%Y') as mydt FROM `$maindb` WHERE `vouchdt` >= '$mfrmdate' 
                            AND `vouchdt` <= '$mtodate'  $partycond $mscopecond ")or die(mysqli_error($conn));
    $get = mysqli_num_rows($getpmain);
//    browse($get);
    include("includes/linkshead.php");
    $mfdt = date("d-m-Y", strtotime($mfrmdate));
    $mtdt = date("d-m-Y", strtotime($mtodate));
    ?>
    <style type="text/css">
        #tabital{
            font-style: italic;
        }
        #font1{
            font-style: italic;
        }
        #boldfont{
            font-weight: bold; 
        }
    </style>
    <!--<script src="MyScript/item.js" type="text/javascript"></script>-->
    </head>
    <body>
        <div class="container">
            <?php include("includes/head_rep.php"); ?>
            <div class="row">
                <div class="col-lg-12 pad">
                    <table style="background: white;width: 100%" class="table table-condensed table-hover">
                        <thead class="mySearchTr">
                            <tr>
                                <th style="width:5%">Sr</th>
                                <th style="width:5%">Inv.No</th>
                                <th style="width:10%">Date</th>
                                <th style="width:10%">Supplier</th>
                                <th style="width:5%" class="text-right">Subtot</th>
                                <th style="width:4%"  class="text-right">Disc%</th>
                                <th style="width:5%"  class="text-right">Disc Amt</th>
                                <th style="width:5%"  class="text-right">Less Disc</th>
                                <th style="width:5%"  class="text-right">Add Pack</th>
                                <th style="width:5%"  class="text-right">Taxable Value</th>
                                <th style="width:4%"  class="text-right">CGST %</th>
                                <th style="width:5%"  class="text-right">CGST Amt</th>
                                <th style="width:4%"  class="text-right">SGST %</th>
                                <th style="width:5%"  class="text-right">SGST Amt</th>
                                <th style="width:4%"  class="text-right">IGST %</th>
                                <th style="width:5%"  class="text-right">IGST Amt</th>
                                <th style="width:9%" class="text-right">Bill.Amt</th>
                            </tr>
                        </thead>
                        <tbody>
                            <?php
                            $ctr = 0;
                            $totamt = 0;
                            $totdisc = 0;
                            $totbill = 0;

                            while ($pmain = mysqli_fetch_array($getpmain)) {
                                $getsupp = mysqli_query($conn, "SELECT `accode`,`name` FROM `accmast` WHERE `accode`='$pmain[party]'")or die(mysqli_error($conn));
                                $supp = mysqli_fetch_array($getsupp);

                                $ctr++;
                                Echo "<tr id='boldfont'>";
                                Echo "<td>$ctr</td>";
                                Echo "<td>$pmain[vouchno]</td>";
                                Echo "<td>$pmain[mydt]</td>";
                                Echo "<td>$supp[name]</td>";
                                Echo "<td class='text-right'>$pmain[subtotal]</td>";
                                Echo "<td class='text-right'>$pmain[cdiscperc]</td>";
                                Echo "<td class='text-right'>$pmain[cdisamt]</td>";
                                Echo "<td class='text-right'>$pmain[lessoth]</td>";
                                Echo "<td class='text-right'>$pmain[packing]</td>";
                                Echo "<td class='text-right'>$pmain[tottaxamt]</td>";
                                Echo "<td class='text-right'>$pmain[cgstperc]</td>";
                                Echo "<td class='text-right'>$pmain[totcgst]</td>";
                                Echo "<td class='text-right'>$pmain[sgstperc]</td>";
                                Echo "<td class='text-right'>$pmain[totsgst]</td>";
                                Echo "<td class='text-right'>$pmain[igstperc]</td>";
                                Echo "<td class='text-right'>$pmain[totigst]</td>";
                                Echo "<td class='text-right'>$pmain[netamt]</td>";
                                Echo "</tr>";
                                $totbill = $totbill + $pmain[netamt];
                                $totamt = $totamt + $pmain[subtotal];
                                $totdisc = $totdisc + $pmain[discount];

                                if ($_POST["dtype"] == 2) {

                                    Echo "<tr style='height:10px;'>";
                                    Echo "<td colspan='25'>";
                                    Echo "<table style='width:100%;' id='tabital' class='table table-condensed table-hover table-bordered'>";
                                    Echo "<th style='background-color: #cccccc;width:10%;'>Sr</th>";
                                    Echo "<th style='background-color: #cccccc;width:80%; class=''>Description</th>";
                                    Echo "<th style='background-color: #cccccc;width:10%;' class='numeric'>Amount</th>";

                                    Echo "</tr>";


                                    $ctr2 = 0;
                                    $tqty = 0;
                                    $tamt = 0;

                                    $gettran = mysqli_query($conn, "SELECT * FROM `$trandb` WHERE `vouchno`='$pmain[vouchno]'")or die(mysqli_error($conn));
                                    while ($tran = mysqli_fetch_array($gettran)) {


                                        $ctr2++;
                                        Echo "<tr>";
                                        Echo "<td>$ctr2</td>";
                                        Echo "<td class=''>$tran[descrip]</td>";
                                        Echo "<td class='numeric'>$tran[amount]</td>";
                                        Echo "</tr>";

                                        $tamt = $tran[amount] + $tamt;

//                                        
                                    }
                                    Echo "<tr style=' '>";
                                    Echo "<td style=' '></td>";
                                    Echo "<th style='text-align:right;color:blue; '>Total</th>";
                                    Echo "<th style='text-align:right;color:blue; '>$tamt</td>";
                                    Echo "</tr>";
                                    Echo "</table>";
                                    Echo "</td>";
                                }
//                                if ($_POST["dtype"] == 2) {
//                                    echo "<tr> ";
//                                    $colr1 = "blue";
//                                    echo "<td style='color:$colr1;' align='right' id='font1' colspan='6' ><h5><b>Total :</b></h5></td>";
//                                    echo "<td style='color:$colr1;' align='right' id='font1'><h5><b>$topaytot1</b></h5></td>";
//                                    echo "<td style='color:$colr1;' align='center' id='font1'><h5><b>$totweight</b></h5></td>";
//                                    echo "<td style='color:$colr1;'  id='font1'><h5><b>$totpaid</b></h5></td>";
//                                    echo "</tr>";
//                                }
                            }
                            $colr = "red";
                            echo "<tr> ";
                            echo "<td></td>";
                            echo "<td></td>";
                            echo "<td></td>";
                            echo "<td></td>";
                            echo "<td></td>";
                            echo "<td></td>";
                            echo "<td></td>";
                            echo "<td></td>";
                            echo "<td align='right' colspan='2' style='color:$colr;'><h4><b>Grand Total</b></h4></td>";
                            echo "<td></td>";
                            echo "<td></td>";
                            echo "<td></td>";
                            echo "<td></td>";
                            echo "<td></td>";
                            echo "<td></td>";
                            echo "<td align='right' style='color:$colr;' id='font'><h4><b>$totbill</b></h4></td>";
                            echo "</tr>";
                            ?>
                        </tbody>
                    </table>
                </div>
            </div>
        </div>

        <?php include("includes/linksfoot.php");
        ?>
    </body>
    </html>
    <?php
}
if (isset($_POST["excel"])) {
    $party = $_POST["party"];
    $dtype = $_POST["dtype"];
    $scope = $_POST["scope"];

    $dtypecond = "";
    $mscopecond = "";

    $mfrmdate = trim($_POST["fdate"]);
    $mtodate = trim($_POST["tdate"]);



    if (!empty($party)) {
        $partycond = " AND `party`='$party' ";
    }


//    if (!empty($frmdt)) {
//        $frmdtcond = " AND `vouchdt`='$frmdt' ";
//    }
//
//    if (!empty($todt)) {
//        $todtcond = " AND `todt`='$todt' ";
//    }

    if (!empty($dtype)) {
        $dtypecond = " AND `dtype`='$dtype' ";
    }

    if (!empty($scope)) {
        $mscopecond = " AND `type`='$scope' ";
    }

    if (empty($_POST["fdate"])) {
        browse("From Date Cannot Be Empty");
        header("refresh:1; purreggst.php");
    }
    if (empty($_POST["tdate"])) {
        browse("To Date Cannot Be Empty");
        header("refresh:1; purreggst.php");
    }

    $getpmain = mysqli_query($conn, "SELECT *, DATE_FORMAT(`vouchdt`, '%d-%m-%Y') as mydt FROM `$maindb` WHERE `vouchdt` >= '$mfrmdate' 
                            AND `vouchdt` <= '$mtodate'  $partycond $mscopecond ")or die(mysqli_error($conn));
    $get = mysqli_num_rows($getpmain);
//    browse($get);
    $mfdt = date("d-m-Y", strtotime($mfrmdate));
    $mtdt = date("d-m-Y", strtotime($mtodate));



    $contents.= "Sr.no,Invoice,Date,Supplier,Subtot,Item Disc%,Cash Disc%,Cash Disc Amt,Less Disc,Add Pack,"
            . "Taxable Value,CGST%,CGST Amt,SGST%,SGST Amt,IGST%,IGST Amt,Bill Amt,\n";

    $ctr = 1;
    $totamt = 0;
    $totdisc = 0;
    $totbill = 0;

    while ($pmain = mysqli_fetch_array($getpmain)) {
        $getsupp = mysqli_query($conn, "SELECT `accode`,`name` FROM `accmast` WHERE `accode`='$pmain[party]'")or die(mysqli_error($conn));
        $supp = mysqli_fetch_array($getsupp);


        $pinvno = $pmain[invno];
        $pmydt = $pmain[mydt];
        $ssname = $supp[name];
        $psubtotal = $pmain[subtotal];
        $plitemdisc = $pmain[litemdisc];
        $pcdiscperc = $pmain[cdiscperc];
        $pcdiscamt = $pmain[cdiscamt];
        $plesother = $pmain[lesother];
        $ppacking = $pmain[packing];
        $ptotaxamt = $pmain[tottaxamt];
        $pcgstperc = $pmain[cgstperc];
        $ptotcgst = $pmain[totcgst];
        $psgstper = $pmain[sgstperc];
        $ptotsgst = $pmain[totsgst];
        $pigstperc = $pmain[igstperc];
        $ptotigst = $pmain[totigst];
        $pnetamt = $pmain[netamt];

        $contents.= $ctr . ",";
        $contents.= $pinvno . ",";
        $contents.= $pmydt . ",";
        $contents.= $ssname . ",";
        $contents.= $psubtotal . ",";
        $contents.= $plitemdisc . ",";
        $contents.= $pcdiscperc . ",";
        $contents.= $pcdiscamt . ",";
        $contents.= $plesother . ",";
        $contents.= $ppacking . ",";
        $contents.= $ptotaxamt . ",";
        $contents.= $pcgstperc . ",";
        $contents.= $ptotcgst . ",";
        $contents.= $psgstper . ",";
        $contents.= $ptotsgst . ",";
        $contents.= $pigstperc . ",";
        $contents.= $ptotigst . ",";
        $contents.= $pnetamt . "\n";

        $ctr++;

        $totbill = $totbill + $pmain[netamt];
        $totamt = $totamt + $pmain[subtotal];
        $totdisc = $totdisc + $pmain[discount];

        if ($_POST["dtype"] == 2) {


            $contents.="Sr.No,Barcode,Item Name,HSN Code,Qty,Mrp,Rate,Amount,Disc%,Discount Amt,Total,Msp\n";



            $ctr2 = 1;
            $tdtqty = 0;
            $tamt = 0;

            $gettran = mysqli_query($conn, "SELECT * FROM `$trandb` WHERE `vouchno`='$pmain[vouchno]'")or die(mysqli_error($conn));
            while ($tran = mysqli_fetch_array($gettran)) {

                $getitem = mysqli_query($conn, "SELECT `code`,`name` FROM `item` WHERE `code`='$tran[itemcode]'")or die(mysqli_error($conn));
                $item = mysqli_fetch_array($getitem);

                $titemcode = $tran[itemcode];
                $tname = $tran[name];
                $thsncode = $tran[hsncode];
                $tqty = $tran[qty];
                $tmrp = $tran[mrp];
                $trate = $tran[rate];
                $tamount = $tran[amount];
                $tdiscperc = $tran[discperc];
                $tdiscount = $tran[discount];
                $ttotal = $tran[total];
                $tmsp = $tran[msp];

                $contents.= $ctr2 . ",";
                $contents.= $titemcode . ",";
                $contents.= $tname . ",";
                $contents.= $thsncode . ",";
                $contents.= $tqty . ",";
                $contents.= $tmrp . ",";
                $contents.= $trate . ",";
                $contents.= $tamount . ",";
                $contents.= $tdiscperc . ",";
                $contents.= $tdiscount . ",";
                $contents.= $ttotal . ",";
                $contents.= $tmsp . "\n";


                $ctr2++;


                $tdtqty = $tran[qty] + $tdtqty;
                $tdtamt = $tran[total] + $tdtamt;
            }
            $contents.= " " . ",";
            $contents.= " " . ",";
            $contents.= " " . ",";
            $contents.= "Total" . ",";
            $contents.= $tdtqty . ",";
            $contents.= " " . ",";
            $contents.= " " . ",";
            $contents.= " " . ",";
            $contents.= " " . ",";
            $contents.= " " . ",";
            $contents.= $tdtamt . "\n";
        }
//                                if ($_POST["dtype"] == 2) {
//                                    echo "<tr> ";
//                                    $colr1 = "blue";
//                                    echo "<td style='color:$colr1;' align='right' id='font1' colspan='6' ><h5><b>Total :</b></h5></td>";
//                                    echo "<td style='color:$colr1;' align='right' id='font1'><h5><b>$topaytot1</b></h5></td>";
//                                    echo "<td style='color:$colr1;' align='center' id='font1'><h5><b>$totweight</b></h5></td>";
//                                    echo "<td style='color:$colr1;'  id='font1'><h5><b>$totpaid</b></h5></td>";
//                                    echo "</tr>";
//                                }
    }
    $colr = "red";

    $contents.= " " . ",";
    $contents.= " " . ",";
    $contents.= " " . ",";
    $contents.= " " . ",";
    $contents.= " " . ",";
    $contents.= " " . ",";
    $contents.= " " . ",";
    $contents.= " " . ",";
    $contents.= " " . ",";
    $contents.= " " . ",";
    $contents.= " " . ",";
    $contents.= " " . ",";
    $contents.= " " . ",";
    $contents.= " " . ",";
    $contents.= " " . ",";
    $contents.= " " . ",";
    $contents.= "Total" . ",";
    $contents.= $totbill . ",";



    $contents = strip_tags($contents);

    if ($_POST["dtype"] == 1) {
        header("Content-Disposition: attachment; filename=$formname" . "_Summary" . date('d-m-Y') . ".csv");
        print $contents;
    } else {
        header("Content-Disposition: attachment; filename=$formname" . "_Detail" . date('d-m-Y') . ".csv");
        print $contents;
    }
}
?>